#!/bin/bash

# unregister license key
echo "Unregister FLM license."
/opt/wtflmgrd_is8/bin/wtflmgrd --unregister
if [ "$?" -ne 0 ]; then
	echo "Could not unregister FLM license."
#	exit 1
fi

# stop wtflmgrd system
echo "Disable daemon."
systemctl --quiet disable --now wtflmgrd_is8

# remove firewall rule
echo "Close wtflmgrd_is8 port."
firewall-cmd --remove-service=wtflmgrd_is8
firewall-cmd --remove-service=wtflmgrd_is8 --permanent

echo "Done."
exit 0
